classification
Title: strptime misparses offsets with microsecond format
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: belopolsky, mariocj89, p-ganssle
Priority: normal Keywords: patch

Created on 2017-12-10 10:12 by mariocj89, last changed 2018-01-09 21:39 by belopolsky. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4781 merged mariocj89, 2017-12-10 10:14
Messages (1)
msg307952 - (view) Author: Mario Corchero (mariocj89) * (Python triager) Date: 2017-12-10 10:11
At the moment strptime misparses all microsecond specifications that do not have exactly 6 digits as it is just converted into an int and considered microsecond.

This bug was introduced with the implementation in bpo-31800

Example:
_strptime._strptime("+01:30:30.001", "%z") == _strptime._strptime("+01:30:30.000001", "%z")
History
Date User Action Args
2018-01-09 21:39:26belopolskysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-12-13 02:08:18belopolskysetnosy: + p-ganssle
2017-12-10 21:30:04r.david.murraysetnosy: + belopolsky
2017-12-10 10:14:17mariocj89setkeywords: + patch
stage: patch review
pull_requests: + pull_request4682
2017-12-10 10:12:00mariocj89create